# Initiate deposit

`POST https://api.strike.me/v1/deposits`

Source: https://docs.strike.me/api/initiate-deposit/

---

Required scopes:

- partner.deposit.manage

## Headers

- `idempotency-key` (uuid)

## Request body

`application/json`, required

- `paymentMethodId` (uuid, required): Payment method to deposit.
- `amount` (string, required): Amount to deposit. Currency is defined by the payment method.
- `feePolicy` (string): Should the fee be included in the amount or added on top of it. Defaults to EXCLUSIVE. One of `INCLUSIVE`, `EXCLUSIVE`.

Example:

```json
{
  "paymentMethodId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "amount": "1000.00",
  "feePolicy": "INCLUSIVE"
}
```

## Responses

### 200 OK

`application/json`

- `id` (uuid, required): ID of the deposit.
- `amount` (object, required): The amount to be credited to the Strike account.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `fee` (object, required): The amount to be charged as the fee for the deposit.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `totalAmount` (object, required): The total amount to be deposited from the payment method.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `state` (string, required): The state of the deposit process. The deposit can be created in either `New` or `Pending` state. One of `NEW`, `PENDING`, `COMPLETED`, `FAILED`, `REVERSED`.
- `failureReason` (string): The reason for the deposit failure.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
